[arch-commits] Commit in python-novaclient/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Jul 16 07:25:22 UTC 2019


    Date: Tuesday, July 16, 2019 @ 07:25:21
  Author: felixonmars
Revision: 489913

archrelease: copy trunk to community-any

Added:
  python-novaclient/repos/community-any/PKGBUILD
    (from rev 489912, python-novaclient/trunk/PKGBUILD)
Deleted:
  python-novaclient/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   76 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 38 insertions(+), 38 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-16 07:24:54 UTC (rev 489912)
+++ PKGBUILD	2019-07-16 07:25:21 UTC (rev 489913)
@@ -1,38 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgname=python-novaclient
-pkgver=14.1.0
-pkgrel=2
-pkgdesc="Client library for OpenStack Compute API"
-arch=('any')
-url="https://docs.openstack.org/python-novaclient/latest/"
-license=('Apache')
-depends=('python-six' 'python-pbr' 'python-babel' 'python-prettytable' 'python-keystoneauth1'
-         'python-requests' 'python-iso8601' 'python-oslo-utils' 'python-oslo-i18n'
-         'python-oslo-serialization')
-makedepends=('python-setuptools')
-checkdepends=('python-oslotest' 'python-requests-mock' 'python-ddt')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/python-novaclient/archive/$pkgver.tar.gz")
-sha512sums=('724c363288d70e84e944d03a9f8007ce8dfd4fdc114d64fe021704552320d6f6bfc7ad6fffebda93a08f03d572d994ca16430ff80a81972e367ce86a6c345faf')
-
-export PBR_VERSION=$pkgver
-
-prepare() {
-  sed -i '/simplejson/d' python-novaclient-$pkgver/requirements.txt
-}
-
-build() {
-  cd python-novaclient-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd python-novaclient-$pkgver
-  stestr run || warning "Tests failed"
-}
-
-package() {
-  cd "$srcdir"/python-novaclient-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-novaclient/repos/community-any/PKGBUILD (from rev 489912, python-novaclient/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-16 07:25:21 UTC (rev 489913)
@@ -0,0 +1,38 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-novaclient
+pkgver=14.2.0
+pkgrel=1
+pkgdesc="Client library for OpenStack Compute API"
+arch=('any')
+url="https://docs.openstack.org/python-novaclient/latest/"
+license=('Apache')
+depends=('python-six' 'python-pbr' 'python-babel' 'python-prettytable' 'python-keystoneauth1'
+         'python-requests' 'python-iso8601' 'python-oslo-utils' 'python-oslo-i18n'
+         'python-oslo-serialization')
+makedepends=('python-setuptools')
+checkdepends=('python-oslotest' 'python-requests-mock' 'python-ddt')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/python-novaclient/archive/$pkgver.tar.gz")
+sha512sums=('feac74d5c7fddf2d04b55c3a58b7745c47f4427a438340ffa8433d5a54fc0ff48660f4200b2653d408e186f6f8884e376bef1c98754d65616ac0354ef5c089e4')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  sed -i '/simplejson/d' python-novaclient-$pkgver/requirements.txt
+}
+
+build() {
+  cd python-novaclient-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-novaclient-$pkgver
+  stestr run || warning "Tests failed"
+}
+
+package() {
+  cd "$srcdir"/python-novaclient-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list